curl --request POST \
--url https://prod-api.stableyard.fi/v2/accounts/{accountId}/vault/mandates/{mandateId}/revoke \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"reason": "Requested by partner"
}
'import requests
url = "https://prod-api.stableyard.fi/v2/accounts/{accountId}/vault/mandates/{mandateId}/revoke"
payload = { "reason": "Requested by partner" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({reason: 'Requested by partner'})
};
fetch('https://prod-api.stableyard.fi/v2/accounts/{accountId}/vault/mandates/{mandateId}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "vault_mandate_123",
"mandateId": "vault_mandate_123",
"policyId": "vault_policy_123",
"status": "pending_authorization",
"nextAction": {
"id": "vault_action_123",
"vaultId": "vault_123",
"policyId": "vault_policy_123",
"type": "sign_policy",
"status": "pending",
"nextAction": null,
"resourceVersion": 1,
"createdAt": "2026-08-28T10:00:00.000Z",
"updatedAt": "2026-08-28T10:00:00.000Z"
}
}{
"error": {
"code": "bad_request",
"message": "The request is invalid",
"details": "example"
}
}{
"error": {
"code": "bad_request",
"message": "The request is invalid",
"details": "example"
}
}{
"error": {
"code": "bad_request",
"message": "The request is invalid",
"details": "example"
}
}{
"error": {
"code": "bad_request",
"message": "The request is invalid",
"details": "example"
}
}{
"error": {
"code": "bad_request",
"message": "The request is invalid",
"details": "example"
}
}{
"error": {
"code": "bad_request",
"message": "The request is invalid",
"details": "example"
}
}{
"error": {
"code": "bad_request",
"message": "The request is invalid",
"details": "example"
}
}Revoke a Vault mandate
Revoke a Vault mandate through the policy authorization flow.
Idempotency-Key is required.Authorizations
HTTP Basic auth. Username is the Stableyard app ID. Password is the app secret. The optional Stableyard-Version request header must match the environment pin.
Headers
Use this for retry-safe payment operations from your backend.
"payment-request-001"
Optional contract-version assertion. Omit it to use the app environment's pinned version. A different supported version is accepted only after that environment is explicitly migrated.
2026-09-09 Path Parameters
Canonical account id returned by the Accounts API.
"acct_123"
Body
280Response
Pending revoke policy update
Canonical mandate identifier. Equal to mandateId.
"vault_mandate_123"
"vault_mandate_123"
pending_authorization, pending_revocation, revoked Pending policy version that must be authorized and installed before the mandate change takes effect.
"vault_policy_123"
Show child attributes
Show child attributes